HPLIP 3.15.4 Adds New Printers, Ubuntu 15.04, Linux Mint 17.1 Support

April 17, 2015 — 2 Comments

HP Printer Drivers for Linux

HPLIP, an HP developed Linux solution for printing, scanning, and faxing with HP inkjet and laser printers, reached 3.15.4 release with new printers and most recent Linux Distros support.

According to the release note, Ubuntu 15.04 Beta, Debian 8.0 RC, Linux Mint 17.1 are supported in this release. Also below new printers are supported now:

  • HP Color LaserJet Pro M252dw
  • HP Color LaserJet Pro M252n
  • HP Color LaserJet Pro MFP M277n
  • HP Color LaserJet Pro MFP M277dw
  • HP Color LaserJet Enterprise M553n
  • HP Color LaserJet Enterprise M553dn
  • HP Color LaserJet Enterprise M553x
  • HP Color LaserJet Enterprise M553dh
  • HP Color LaserJet Enterprise M552dn
  • HP LaserJet Enterprise M604n
  • HP LaserJet Enterprise M604dn
  • HP LaserJet Enterprise M605dn
  • HP LaserJet Enterprise M605n
  • HP LaserJet Enterprise M605x
  • HP LaserJet Enterprise M606x
  • HP LaserJet Enterprise M606dn

There’s also a significant changes: HPLIP Plugin support for ARMv6,ARMv7 and aarch64 architectures. For more, see the release page.

Install HPLIP in Ubuntu/Linux Mint:

1. download HPLIP .run installer from:

Download HPLIP

2. Open terminal (Ctrl+Alt+T) and run command to give executable permission to the installer:

cd ~/Downloads/ && chmod +x hplip-*.run

3. Finally start the installer and follow the terminal prompts:

cd ~/Downloads/ && ./hplip-*.run

HPLIP on launchpad: https://launchpad.net/hplip

I'm a freelance blogger who started using Ubuntu 5+ years ago and wishes to share my experiences and some useful tips with Ubuntu beginners and lovers. Please notify me if you find any typo/grammar/language mistakes. English is not my native language. Contact me on Google Plus or email to ubuntuhandbook1@gmail.com

2 responses to HPLIP 3.15.4 Adds New Printers, Ubuntu 15.04, Linux Mint 17.1 Support

  1. I have Linux Mint 17.1 w/ KDE 4.? and an installed hplip 3.15.7, but it was installed with my old printer, which just died. I bought an HP Officejet Pro 6830, but I can’t download the -.run file. Everytime I try to download it, regardless of which page I click the link to it from, I get a -.bin file. What’s wrong? Can you help?

  2. Btw, I’m satisfied that 3.15.7 does support the 6830. And I no longer have the run folder that came with 3.15.7′s -.run file (I didn’t expect the printer to die and didn’t think I’d need it again; I do have that file), so I can’t just reinstall it.

Leave a Reply


Text formatting is available via select HTML.

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>